GCLOUD_COMPUTE_HEALTH-CHECKS_CREATE_TCP(1)

NAME

gcloud compute health-checks create tcp - create a TCP health check to monitor load balanced instances

SYNOPSIS

gcloud compute health-checks create tcp NAME [--check-interval=CHECK_INTERVAL; default="5s"] [--description=DESCRIPTION] [--healthy-threshold=HEALTHY_THRESHOLD; default="2"] [--port=PORT; default="80"] [--port-name=PORT_NAME] [--proxy-header=PROXY_HEADER; default="NONE"] [--request=REQUEST] [--response=RESPONSE] [--timeout=TIMEOUT; default="5s"] [--unhealthy-threshold=UNHEALTHY_THRESHOLD; default="2"] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute health-checks create tcp is used to create a TCP health check. TCP health checks monitor instances in a load balancer controlled by a target pool. All arguments to the command are optional except for the name of the health check. For more information on load balancing, see https://cloud.google.com/compute/docs/load-balancing-and-autoscaling/

POSITIONAL ARGUMENTS

    NAME
        The name of the TCP health check.

FLAGS

    --check-interval=CHECK_INTERVAL; default="5s"
        How often to perform a health check for an instance. For example, specifying 10s will run the check every 10 seconds. Valid units for this flag are ``s'' for seconds and ``m'' for minutes. The default value is 5s.

    --description=DESCRIPTION
        An optional, textual description for the TCP health check.

    --healthy-threshold=HEALTHY_THRESHOLD; default="2"
        The number of consecutive successful health checks before an unhealthy instance is marked as healthy. The default is 2.

    --port=PORT; default="80"
        The TCP port number that this health check monitors. The default value is 80.

    --port-name=PORT_NAME
        The port name that this health check monitors. By default, this is empty.

    --proxy-header=PROXY_HEADER; default="NONE"
        The type of proxy protocol header to be sent to the backend. PROXY_HEADER must be one of:

        NONE
            No proxy header is added.

        PROXY_V1
            Adds the header "PROXY UNKNOWN\r\n".

    --request=REQUEST
        Application data to send once the TCP connection has been established. By default, this is empty. If both request and response are empty, the connection establishment alone will indicate health of the TCP connection.

    --response=RESPONSE
        The bytes to match against the beginning of the response data. By default, this is empty. If empty, any response will indicate health of the TCP connection.

    --timeout=TIMEOUT; default="5s"
        If Google Compute Engine doesn't receive a healthy response from the instance by the time specified by the value of this flag, the health check request is considered a failure. For example, specifying 10s will cause the check to wait for 10 seconds before considering the request a failure. Valid units for this flag are ``s'' for seconds and ``m'' for minutes. The default value is 5s.

    --unhealthy-threshold=UNHEALTHY_THRESHOLD; default="2"
        The number of consecutive health check failures before a healthy instance is marked as unhealthy. The default is 2.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.